Versie geschiedenis

[1]
10 februari 2005 - BorgIRC 2.59a

1.Fixed: Foutmelding bij uitvinken optie in CN configuratiescherm (Bedankt snabbi)
2.Fixed: Logs&Download folders ontbraken in de volledige versie (Bedankt snabbi)
3.Fixed: Probleem verholpen, wanneer opstart scherm uit staat (Bedankt snabbi)
4.Fixed: Thema systeem werkte in z'n geheel niet (Bedankt Xaer0)
5.Updated: Kamer status optie: Owners en half-ops zijn nu ook zichtbaar op UnrealIRCD servers (Bedankt snabbi)
6.Fixed: Configuratiescherm liet niet zien als nick compleet maken ingeschakeld was (Bedankt snabbi)
7.Fixed: Invite popup in de menubar werkte niet door een syntax fout (Bedankt snabbi)
8.Fixed: Auto-oper menu optie werkt nu naar behoren (Bedankt snabbi)
9.Fixed: CTCP flood bescherming was niet uit te schakelen (Bedankt snabbi)
10.Fixed: Verkeerde help tekst bij persoonlijke info popups (Bedankt MGS)
11.Fixed: WAV/MID negeer opties werkten niet bij bepaalde geluid CTCP's (Bedankt snabbi)
12.Fixed: Kosmetisch probleempje bij de auto-groet opties (Bedankt snabbi)
13.User Request: fluister block blokkeert nu alleen wanneer je geen query window met diegene open hebt
14.User Request: Server beheer opties nu ook beschikbaar in query windows
15.Fixed: Clone scanner gaf een foutieve tijd melding, wanneer er clones waren gevonden (Bedankt snabbi)
16.Fixed: /setmode werkte niet goed, wanneer meerdere nicknames geselecteerd waren (Bedankt snabbi)
17.Fixed: CN kamer beheer optie "Toon info over Nickname" werkte niet naar behoren (Bedankt snabbi)
18.Fixed: Regel opmaak optie 'niet gebruiken bij ! of @' werkte niet in alle gevallen (Bedankt Bracha)
19.Fixed: BorgIRC connect startte niet automatisch wanneer het opstart scherm was uitgeschakeld
20.Fixed: Fix #4 heeft er ook voor gezorgd dat de blacklist kick&ban weer functioneert
21.Added: Meer kanalen in mIRC favorites
22.Other: Aanpassingen aan DCC-instellingen 

[2]
6 februari 2005 - BorgIRC 2.59

1.Fixed: BorgUpdate gaf een onnodige extra foutmelding in bepaalde situaties
2.Other: Versie geschiedenis opgeschoont
3.Updated: De primaire BorgUpdate server is nu www.borgirc.net, ipv www.geocities.com, die nu als secundaire server dient
4.Fixed: Auto-away werkte niet juist bij het gebruik van meerdere verbindingen tegelijk
5.Fixed: Automatisch verbinding maken optie werkte niet (Bedankt MGS)
6.Fixed: Own/De-own popups waren niet zichtbaar als je kanaal owner was op IRCX servers (Bedankt snabbi)
7.Updated: Bracha's talkers & skins geupdate (Bedankt Bracha)
8.Fixed: 2 talkers hadden nog geen vermelding in het talkers menu (Bedankt Bracha)
9.Fixed: Automatisch verbinding instelling voor ChatNetwerk en Chatcity resette zichzelf met opstarten
10.Updated: BorgIRC Connect onthoudt nu de laatst gebruikte server
11.Updated: /who bericht laat nu de laatst binnengekomen kamer van de gebruiker zien
12.Added: Optie toegevoegd om geluidseffect af te spelen, wanneer je nickname genoemd wordt
13.Added: Twee commando's toegevoegd waarmee je away en back kunt gaan op alle servers: /awayall /backall
14.Updated: mIRC serverlijst geupdate - 21 december 2004 (Bedankt MGS)
15.Fixed: De vernieuwde XP3 thema graphics waren nog niet aanwezig in 2.58; alsnog toegevoegd
16.Fixed: Paar kleine kosmetische foutjes in het away systeem
17.Added: Berichtondersteuning voor RAW 379 (modes whois, UnrealIRCD)
18.Removed: Feestdagen addon
19.Added: Berichtondersteuning voor RAW 477 (regged nick nodig, UnrealIRCD)
20.Added: Berichtondersteuning voor RAW 404 (no external message & +v nodig)
21.Updated: RAW 313 geeft nu de specifieke IRCOp status van een user
22.Updated: Intern kanaal stats commando /cs aangepast naar /cstats - sommige servers gebruiken /cs voor ChanServ
23.Updated: User level 55 (auto-owner) geeft nu ook automatisch owner op UnrealIRCD servers
24.Fixed: Kosmetische foutjes in kick bescherming
25.Added: Beveiliging ingebouwd voor een bepaalde mIRC worm/virus (script controle en block)
26.Fixed: Kritische fout gerepareerd in de flood bescherming (bug sinds 2.58)
27.Fixed: Fluister flood bescherming was actief, ook al was hij uitgeschakeld
28.Updated: Fluister flood bescherming strenger ingesteld. Personen met user level 50 en hoger zijn hier van vrijgesteld.
29.Fixed: UnrealIRCD owner detectie verbeterd - werd niet herkent in bepaalde gevallen
30.Updated: Nickname prefixes in chat werken nu goed in alle gevallen ([10:00] <~STING> bla)
31.Updated: Spaties in regels blijven nu behouden bij het gebruik van de 1-kleur auto-filter
32.Added: Berichtondersteuning voor RAW 216,219,223,243 (/stats [okg], /[kgz]line)
33.Added: IRC Operator status detectie toegevoegd ($ircop)
34.Updated: Status & Kick/ban beheer menu's zijn nu grijs ipv verborgen, wanneer je geen ops of owner hebt
35.Added: Berichtondersteuning voor RAW 461 (parameter ontbreekt)
36.Fixed: Tekst for Shift-F1 t/m Shift-F5 is nu juist (F2 --> Ctrl-F2)
37.Updated: Handige sites lijst bijgewerkt en menu verplaatst
38.Added: Berichtondersteuning voor RAW 464 (parameter incorrect, /oper)
39.Added: Optie om automatisch oper te verkrijgen op 1 specifieke server (functie wordt later nog uitgebreid)
40.Added: Popups toegevoegd voor veel gebruikte IRCop commando's: kline,gline,kill,shun,svsnick,chghost,sethost,setident
41.Added: Optie toegevoegd om de standaard kick&ban/op opties actief te maken als je IRCOp bent
42.Changed: Menu "Tools" verplaatst en hernoemd naar "Extra instellingen" ter verduidelijking
43.Changed: De "Privacy mode" optie heet nu "Fluister block" ter verduidelijking
44.Updated: Wanneer "logon informatie weergave" uitstaat, worden nu de server login berichten verborgen
45.Updated: Reshuffle van het BorgIRC menu - hopelijk is het zo wat overzichtelijker
46.Added: ChatNetwerk kamer beheer opties, o.a: welkomstbericht, topic, sop, aop, akick en nog veel meer
47.Fixed: (De)HalfOp popups waren niet zichtbaar als je kanaal owner was op UnrealIRCD servers
48.Added: Berichtondersteuning voor RAW 441 (niet aanwezig op kanaal)
49.Added: Berichtondersteuning voor RAW 471 (+l, kamer is vol)
50.Added: Berichtondersteuning voor RAW 473 (+i, uitnodiging nodig)
51.Fixed: Massa deop & kick kamer beheer popups werkten niet
52.Fixed: Switchbar kleuren werken weer wanneer iets gezegd wordt in een kamer, bij gebruik van de 1-kleur regel filter
53.Updated: Personal ban protection biedt nu betere bescherming tegen bans
54.Added: Menu opties toegevoegd om berichten te versturen op ChatNetwerk (MemoServ)
55.Added: Menu opties toegevoegd om de gewenste ChatNetwerk services taal aan te passen
56.Updated: CN dialoog schermen kleiner gemaakt, naar aanleiding van vernieuwde CN banner
57.Updated: 'Voting poll' terugvertaald en tevens kan de interval nu niet meer dan minder 60 seconden zijn
58.Fixed: BorgDiag werkte niet naar behoren, indien de folder '$logdir\borgdiag' niet aanwezig was
59.Fixed: Chat-verslavings controle bevatte een paar grote en kleine kosmetische fouten
60.Added: Dedicated Windows - Met deze optie kun je ervoor zorgen dat naast services, ook server berichten in een eigen window terechtkomen. Tevens zijn deze nu volledig in te stellen en kun je ook een timeout opgeven, zodat ze sluiten na een opgegeven periode van inactiviteit.
61.Updated: ChatNetwerk regels geupdate op basis van de huidige MOTD
62.Fixed: Foutmelding loop in de auto-away functie bij gebruik van meerdere servers. Het BorgIRC 2 away-systeem zal geen volledige multi-server ondersteuning krijgen. Dit bewaar ik voor een latere versie.
63.Fixed: Verbeterde fout controle bij het afspelen van geluidseffecten. Dit lost een aantal kritische problemen op bij mensen met mensen zonder of een gelimiteerde of niet goed geconfigureerde geluidskaart
64.Updated: Bepaalde geluidseffecten worden nu achter elkaar afgespeeld indien nodig, ipv overgeslagen
65.Fixed: Jukebox moest opnieuw geopend worden zodra je een bestand had ontvangen
66.Updated: Interne code optimialisaties & opschoning
67.Updated: /join commando ondersteunt nu alle mIRC /join parameters (-i, -n, -x)
68.Fixed: Bericht bij +q (ownership) werkte in bepaalde gevallen niet (Thanks snabbi)
69.Added: Je krijgt nu ook bericht bij de volgende mode veranderingen: -q,+h,-h
70.Added: Je kunt nu met het commando '/load -rs borgirc2.mrc' BorgIRC opnieuw laden, indien nodig.
71.Added: Owner popups worden nu niet meer getoont bij een bepaalde PTlink versie
72.Fixed: RAW 250 (highest connection count) werd niet goed weergegeven
73.Updated: Enige aanpassingen aan BorgUpdate
74.Updated: BorgIRC maakt nu gebruik van NSIS 2.05 als installer, hiermee tevens mIRC license agreement toegevoegd

[3]
15 december 2004 - BorgIRC 2.58: Feestdagen editie

1.Fixed: BorgUpdate nieuw versie venster gaf verkeerde versie informatie weer
2.Added: Berichtondersteuning voor RAW 440 (Services down)
3.Added: Berichtondersteuning voor RAW 481 (IRC-Op rechten benodigd)
4.Added: Ondersteuning voor owner mode (~) op UnrealIRCD servers
5.Fixed: Foutmelding bij aanklikken 'Dit scherm niet weergeven bij inloggen' op het CN kamer scherm
6.Added: Ondersteuning voor halfop mode (%)
7.Added: Berichtondersteuning voor RAW 972 (onvoldoende rechten, UnrealIRCD)
8.Updated: mIRC serverlijst geupdate - 10 december 2004
9.Updated: ChatNetwerk NickServ auto-identify werkt nu ook bij nickname changes
10.Updated: Wanneer NickServ je meldt dat je gekozen nickname gereserveerd is, krijg je nu een popup scherm
11.Updated: Berichten van de ChatNetwerk services komen nu in een apart scherm, waar je gemakkelijk commando's kan geven
12.Updated: ChatNetwerk popup menu structuur verbeterd en Help popups toegevoegd voor de meest gebruikte services
13.Updated: Met F12 of het commando "/cn.identify.ai" kun je je nu identifyen bij CN NickServ
14.Fixed: /ignore commando gaf een aantal problemen
15.Added: Berichtondersteuning voor RAW 499 (owner status nodig, UnrealIRCD)
16.Fixed: Probleem met /whowas handling en away
17.Updated: MP3 filter geupdate
18.Updated: Integriteitscontrole uitgebreid met checks op bepaalde kritische bestanden
19.Updated: BorgIRC XP3 thema graphics geupdate
20.Updated: Whois 'Origine' wordt nu niet meer weergegeven bij een onbekend domein (tevens hernoemd maar Lokatie)
21.Added: Berichtondersteuning voor remote /whois server notice (+W user mode)
22.Updated: Remote away message throttle verhoogd van 2 naar 4 minuten
23.Updated: Kanaal away message throttle geldt nu per kanaal, ipv per hostname
24.Added: De jaarlijkse traditie: Feestdagen special toegevoegd
25.Removed: De ernstig verouderde Tip van de dag functie verwijderd. Ik voeg deze weer toe in een vernieuwde vorm, wanneer ik weer wat actuele tips heb kunnen verzamelen ;)
26.Added: BorgIRC Connect - Een nu nog eenvoudige functie, waarmee je gemakkelijk (automatisch) verbinding kunt maken met een of meerdere servers tegelijk. Met o.a functietoets F2 en commando /conn is deze functie op te roepen. Het stoppen van mIRC geluiden is nu te realiseren met Ctrl-F2.
27.Updated: CN banner vernieuwd
28.Updated: /about scherm vernieuwd
29.Updated: Opstartscherm vernieuwd en status scherm opgeschoont
30.Fixed: Stukje tekst over Borgupdate gecorrigeerd, het verwees niet naar de juiste menu items
31.Fixed: mIRC versie controle was nog ingesteld op 6.12, aangepast naar 6.16

[4]
5 september 2004 - BorgIRC 2.57 (Service Release 7)

* Update: mIRC 6.12 --> 6.16

1.Fixed: BorgUpdate gaf een verkeerd bericht weer als er geen updates beschikbaar waren
2.Updated: Berichtondersteuning voor RAW 378 (whois, UnrealIRCD)
3.Updated: Berichtondersteuning voor RAW 330 (whois, Undernet)
4.Added: HalfOps popups toegevoegd (UnrealIRCD)
5.Added: Bericht toegevoegd over of de SSL functionaliteit van mIRC beschikbaar is
6.Updated: Bot-exclusion lijst geupdate met ChatNetwerk en tevens verouderde entries weggehaald
7.Fixed: Notice flood bescherming gerepareerd
8.Updated: Berichtondersteuning voor RAW 520 (kan kanaal niet joinen, alleen voor IRCOps)
9.Updated: Berichtondersteuning voor RAW 491 (No O-line)
10.Updated: Bericht voor RAW 381 geupdate met correctere informatie (IRCOp status)
11.Security: Workaround voor mIRC 6.12 beveilingslek weggehaald, niet meer nodig
12.Added: Ondersteuning voor ChatNetwerk NickServ
13.Added: Ondersteuning voor ChatNetwerk vaste kanalen
14.Updated: BorgIRC controleert nu elke keer bij opstarten op een nieuwe versie
